package kr.co.uplus.ez.api.sendNumMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class SendNumberListResDto extends ResponseMessage implements Serializable{

	// 데이터.
	private SendNumberListRes data;

	public SendNumberListResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public SendNumberListResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public SendNumberListResDto(ApiResponseCode returnStr, SendNumberListRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
